Subject: RE: bug#36417: [PATCH] Document bookmark annotations in Emacs Manual

From: Drew Adams <[email-masked]>
Date: Fri, 28 Jun 2019 11:52:42 -0700 (PDT)

> > > > Btw, what is the use case for using annotations but not showing them?
> > > > If that use case is not important enough, perhaps we shouldn't mention
> > > > the second option.
> > >
> > > Good point.  I don't think it's a very important use case, so I
> > > removed it.
> >
> > It should not be removed.
> 
> We didn't remove the variable, we just avoided documenting it in the
> manual.  

Yes, I realized that.  And that was perhaps based on
Stefan's saying he doesn't think it's a very important
use case.

I pointed out that it is just as important as using
the other option.

> Not every option of every package is documented in the Emacs
> manual.

No, of course not.  You always say that, as if
someone claimed the contrary.  No one has _ever_
done so, as far I know.

> If you think bookmark.el warrants a more detailed
> documentation, please consider writing a separate Texinfo manual for
> it, as we have for many other packages.

That's reading a lot into my reply.  I was setting
the record straight wrt what these variables are
for, and pointing out that neither is more important
than the other.  You can document them both in the
manual or remove them both from the manual, as far
as I'm concerned.  You can document only one of them,
but there is not special reason (IMHO) to choose this
one or that one.